Skip to main content
GET
/
api
/
v1
/
positions
/
past
Past positions (all verticals)
curl --request GET \
  --url https://api.alpha-labs.trade/api/v1/positions/past \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "perps": [
      {
        "id": "<string>",
        "userId": "<string>",
        "groupId": "<string>",
        "proposalId": "<string>",
        "subaccountIndex": 123,
        "marketSymbol": "<string>",
        "status": "<string>",
        "openedAt": "2023-11-07T05:31:56Z",
        "closedAt": "2023-11-07T05:31:56Z",
        "initialCollateralUsdc": "12.50",
        "initialLeverage": "4.27",
        "currentSizeBaseLots": "<string>",
        "currentSizeBaseUnits": "4.27",
        "positionValueUsd": "12.50",
        "entryPriceUsd": "12.50",
        "exitPriceUsd": "12.50",
        "collateralBalanceUsdc": "12.50",
        "effectiveCollateralUsdc": "12.50",
        "unrealizedPnlUsd": "12.50",
        "unsettledFundingUsd": "12.50",
        "accumulatedFundingUsd": "12.50",
        "liquidationPriceUsd": "12.50",
        "stopLossPriceUsd": "12.50",
        "takeProfitPriceUsd": "12.50",
        "marketStatus": "<string>",
        "closeReason": "<string>",
        "claimedAt": "2023-11-07T05:31:56Z",
        "isClaimable": true,
        "priceRealizedPnlUsd": "12.50",
        "fundingRealizedUsd": "12.50",
        "totalFeesUsd": "12.50",
        "liquidationPenaltyUsd": "12.50",
        "netRealizedPnlUsd": "12.50",
        "finalCollateralReturned": "12.50",
        "participantCount": 123,
        "participantAvatars": [
          "<string>"
        ]
      }
    ],
    "spot": [
      {
        "proposal": {
          "id": "<string>",
          "groupId": "<string>",
          "createdByUserDynamicId": "<string>",
          "tokenMetadataId": "<string>",
          "reason": "<string>",
          "initialPriceUsd": "12.50",
          "exitPriceUsd": "12.50",
          "exitPnlPct": "4.27",
          "exitPnlUsd": "12.50",
          "closedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "token": {
            "id": "<string>",
            "contractAddress": "<string>",
            "symbol": "<string>",
            "name": "<string>",
            "logoUrl": "<string>",
            "coingeckoId": "<string>",
            "verified": true
          },
          "group": {
            "uniqueId": "<string>",
            "name": "<string>",
            "image": "<string>"
          },
          "createdBy": {
            "dynamicId": "<string>",
            "username": "<string>"
          },
          "trades": [
            {
              "id": "<string>",
              "tradingProposalId": "<string>",
              "groupId": "<string>",
              "walletAddress": "<string>",
              "tokenAmount": "4.27",
              "tokenDecimals": 123,
              "pricePerTokenUsd": "12.50",
              "totalCostUsd": "12.50",
              "alphaFeeUsd": "12.50",
              "pnlPct": "4.27",
              "pnlUsd": "12.50",
              "txSignature": "<string>",
              "createdAt": "2023-11-07T05:31:56Z"
            }
          ]
        },
        "userPosition": {
          "hasPosition": true,
          "currentTokenAmountRaw": "<string>",
          "totalCostUsd": "12.50",
          "avgEntryPriceUsd": "12.50",
          "avgExitPriceUsd": "12.50",
          "unrealizedPnlPct": "4.27",
          "unrealizedPnlUsd": "12.50",
          "realizedPnlPct": "4.27",
          "realizedPnlUsd": "12.50",
          "currentValueUsd": "12.50",
          "currentPriceUsd": "12.50",
          "userExitedAt": "2023-11-07T05:31:56Z"
        },
        "participantCount": 123,
        "participantAvatars": [
          "<string>"
        ]
      }
    ],
    "predictions": [
      {
        "proposal": {
          "id": "<string>",
          "groupId": "<string>",
          "createdById": "<string>",
          "eventId": "<string>",
          "marketId": "<string>",
          "outcomeMint": "<string>",
          "eventTitle": "<string>",
          "marketTitle": "<string>",
          "eventImageUrl": "<string>",
          "isYes": true,
          "status": "<string>",
          "result": "<string>",
          "didWin": true,
          "reason": "<string>",
          "resolvedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        },
        "market": {},
        "userPosition": {
          "tokenAmount": "4.27",
          "tokenDecimals": 123,
          "totalCostUsd": "12.50",
          "avgCostBasisUsd": "12.50",
          "avgExitPriceUsd": "12.50",
          "unrealizedPnlPct": "4.27",
          "unrealizedPnlUsd": "12.50",
          "realizedPnlPct": "4.27",
          "realizedPnlUsd": "12.50",
          "currentValueUsd": "12.50",
          "currentPriceUsd": "12.50"
        },
        "remainingTokenAmount": "<string>",
        "createdBy": {
          "dynamicId": "<string>",
          "username": "<string>"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).

Response

Past positions.

data
object